#
# spec file for package libkdegames
#
# Copyright (c) 2014 SUSE LINUX Products GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           libkdegames
Summary:        General Data for KDE Games
License:        GPL-2.0+
Group:          System/GUI/KDE
Url:            http://www.kde.org
Version:        4.14.0
Release:        0
Source0:        libkdegames-%{version}.tar.xz
Patch1:         libkdegames-bnc793185.patch
BuildRequires:  fdupes
BuildRequires:  libkde4-devel
BuildRequires:  libsndfile-devel
BuildRequires:  openal-soft-devel
BuildRequires:  xz
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
This package contains data which is required by the KDE games library.

%prep
%setup -q
%patch1 -p1

# bnc#793185
rm -rf carddecks/svg-konqi-modern

%build
  %cmake_kde4 -d build
  %make_jobs

%install
  %kde4_makeinstall -C build
  %kde_post_install
  %fdupes -s %{buildroot}

%files
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kde4_appsdir}/kconf_update/

%package -n libkdegames6
Summary:        Library for KDE Games
License:        LGPL-2.1+
Group:          System/GUI/KDE
Requires:       libkdegames = %{version}
Obsoletes:      libkdegames4 < 4.9.80
Provides:       libkdegames4 = %{version}

%description -n libkdegames6
This package contains the KDE games library.


%post -n libkdegames6 -p /sbin/ldconfig

%postun -n libkdegames6 -p /sbin/ldconfig

%files -n libkdegames6
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kde4_libdir}/libkdegamesprivate.so.*
%{_kde4_libdir}/libkdegames.so.*
%dir %{_kde4_modulesdir}/imports
%dir %{_kde4_modulesdir}/imports/org
%dir %{_kde4_modulesdir}/imports/org/kde
%dir %{_kde4_modulesdir}/imports/org/kde/games
%dir %{_kde4_modulesdir}/imports/org/kde/games/core
%{_kde4_modulesdir}/imports/org/kde/games/core

%package devel
Summary:        Library for KDE Games: Build Environment
License:        LGPL-2.1+
Group:          Development/Libraries/KDE
Requires:       libkde4-devel
Requires:       libkdegames6 = %{version}
Obsoletes:      libkdegames4-devel < %{version}
Provides:       libkdegames4-devel = %{version}

%description devel
This package contains all necessary files and libraries needed to
develop KDE games.


%files devel
%defattr(-,root,root)
%doc COPYING COPYING.DOC README
%{_kde4_includedir}/KDE/
%{_kde4_includedir}/highscore/
%{_kde4_includedir}/libkdegamesprivate/
%{_kde4_includedir}/*.h
%{_libdir}/cmake/KDEGames/
%{_kde4_libdir}/libkdegamesprivate.so
%{_kde4_libdir}/libkdegames.so

%package -n kdegames4-carddecks-other
Summary:        Further Card Decks for KDE Games
License:        LGPL-2.1+
Group:          System/GUI/KDE
BuildArch:      noarch
Requires:       kdegames4-carddecks-default = %{version}

%description -n kdegames4-carddecks-other
This package contains several further card deck set for KDE games.


%files -n kdegames4-carddecks-other
%defattr(-,root,root)
%doc COPYING README
%exclude %{_kde4_appsdir}/carddecks/svg-oxygen-air
%{_kde4_appsdir}/carddecks

%package -n kdegames4-carddecks-default
Summary:        Default Card Decks for KDE Games
License:        LGPL-2.1+
Group:          System/GUI/KDE
BuildArch:      noarch

%description -n kdegames4-carddecks-default
This package contains the default card deck set for KDE games.


%files -n kdegames4-carddecks-default
%defattr(-,root,root)
%doc COPYING README
%{_kde4_appsdir}/carddecks/svg-oxygen-air

%changelog
